Subject: Re: ABNF in RFC5321
From: Tony Hansen <[email-masked]>
To: [email-masked]
Date: Tue, 19 Oct 2010 10:53:15 -0400
List-Id: <ietf-smtp.imc.org>

:-)

Actually, I was referring to your comment about making the text in 5321 
more obvious.

     Tony Hansen

On 10/19/2010 10:46 AM, Tony Finch wrote:
> On Tue, 19 Oct 2010, Tony Hansen wrote:
>    
>> If an errata were to be filed or an issue in the YAM tracker were to be
>> filed, it should use the description in Tony Finch's email message.
>>      
> You mean the text I quoted from RFC 5321? :-)
>
> Tony.
>    

Date: Tue, 19 Oct 2010 15:46:24 +0100
From: Tony Finch <[email-masked]>
To: Tony Hansen <[email-masked]>
cc: [email-masked]
Subject: Re: ABNF in RFC5321
Sender: [email-masked]

On Tue, 19 Oct 2010, Tony Hansen wrote:
>
> If an errata were to be filed or an issue in the YAM tracker were to be
> filed, it should use the description in Tony Finch's email message.

You mean the text I quoted from RFC 5321? :-)

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
HUMBER THAMES DOVER WIGHT PORTLAND: NORTH BACKING WEST OR NORTHWEST, 5 TO 7,
DECREASING 4 OR 5, OCCASIONALLY 6 LATER IN HUMBER AND THAMES. MODERATE OR
ROUGH. RAIN THEN FAIR. GOOD.

Date: Tue, 19 Oct 2010 10:02:54 -0400
From: Tony Hansen <[email-masked]>
To: [email-masked]
Subject: Re: ABNF in RFC5321
Sender: [email-masked]

If an errata were to be filed or an issue in the YAM tracker were to be 
filed, it should use the description in Tony Finch's email message.

     Tony

On 10/18/2010 3:01 PM, SM wrote:
>
> Hi Murray,
> At 09:53 18-10-10, Murray S. Kucherawy wrote:
>> It looks to me like there's an ABNF citation issue in RFC5321.  
>> Section 4.1.2's ABNF makes reference to "atext" but it's not defined 
>> anywhere.  It is defined in RFC5322 though.
>
> I noticed that some time back.
>
>> I don't see this covered in any RFC5321 errata.  Shall I open one?
>
> If you post the suggested change to the YAM mailing list, it will be 
> tracked.
>
> Regards,
> -sm

Date: Tue, 19 Oct 2010 13:31:03 +0100
From: Tony Finch <[email-masked]>
To: John C Klensin <[email-masked]>
cc: "Murray S. Kucherawy" <[email-masked]>, [email-masked]
Subject: Re: ABNF in RFC5321
Sender: [email-masked]

On Mon, 18 Oct 2010, John C Klensin wrote:
> --On Monday, October 18, 2010 9:53 AM -0700 "Murray S.
> Kucherawy" <[email-masked]> wrote:
>
> > It looks to me like there's an ABNF citation issue in RFC5321.
> > Section 4.1.2's ABNF makes reference to "atext" but it's not
> > defined anywhere.  It is defined in RFC5322 though.
>
> Without taking the time to search the document, I believe that
> there is a statement that any productions that cannot be found
> are defined either in the base ABNF spec or in 5322.

4.1.2.  Command Argument Syntax

   The syntax of the argument clauses of the above commands (using the
   syntax specified in RFC 5234 [7] where applicable) is given below.
   Some of the productions given below are used only in conjunction with
   source routes as described in Appendix C.  Terminals not defined in
   this document, such as ALPHA, DIGIT, SP, CR, LF, CRLF, are as defined
   in the "core" syntax in Section 6 of RFC 5234 [7] or in the message
   format syntax in RFC 5322 [4].

The last sentence of that quote would be better if it were moved to
section 2.4 General Syntax Principles and Transaction Model where ABNF is
first mentioned.

   The metalinguistic notation used in this document corresponds to the
   "Augmented BNF" used in other Internet mail system documents.  The
   reader who is not familiar with that syntax should consult the ABNF
   specification in RFC 5234 [7].  Metalanguage terms used in running
   text are surrounded by pointed brackets (e.g., <CRLF>) for clarity.
   The reader is cautioned that the grammar expressed in the
   metalanguage is not comprehensive.  There are many instances in which
   provisions in the text constrain or otherwise modify the syntax or
   semantics implied by the grammar.

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
HUMBER THAMES DOVER WIGHT PORTLAND: NORTH BACKING WEST OR NORTHWEST, 5 TO 7,
DECREASING 4 OR 5, OCCASIONALLY 6 LATER IN HUMBER AND THAMES. MODERATE OR
ROUGH. RAIN THEN FAIR. GOOD.

Date: Mon, 18 Oct 2010 12:01:08 -0700
To: "Murray S. Kucherawy" <[email-masked]>
From: SM <[email-masked]>
Subject: Re: ABNF in RFC5321
Cc: [email-masked]
Sender: [email-masked]

Hi Murray,
At 09:53 18-10-10, Murray S. Kucherawy wrote:
>It looks to me like there's an ABNF citation issue in 
>RFC5321.  Section 4.1.2's ABNF makes reference to "atext" but it's 
>not defined anywhere.  It is defined in RFC5322 though.

I noticed that some time back.

>I don't see this covered in any RFC5321 errata.  Shall I open one?

If you post the suggested change to the YAM mailing list, it will be tracked.

Regards,
-sm 

Date: Mon, 18 Oct 2010 14:00:49 -0400
From: John C Klensin <[email-masked]>
To: "Murray S. Kucherawy" <[email-masked]>, [email-masked]
Subject: Re: ABNF in RFC5321
Sender: [email-masked]

--On Monday, October 18, 2010 9:53 AM -0700 "Murray S.
Kucherawy" <[email-masked]> wrote:

> It looks to me like there's an ABNF citation issue in RFC5321.
> Section 4.1.2's ABNF makes reference to "atext" but it's not
> defined anywhere.  It is defined in RFC5322 though.
> 
> I don't see this covered in any RFC5321 errata.  Shall I open
> one?

Without taking the time to search the document, I believe that
there is a statement that any productions that cannot be found
are defined either in the base ABNF spec or in 5322.  If that is
not the case, you can amuse yourself by opening an erratum if
you want to.   If you do, I assume that someone will go back to
the document, find that statement, and use a pointer to it to
close the error report.

FWIW, when 5321bis sees the light of day (certainly you should
not expect it to be posted today or otherwise in time for IETF
79), it contains a complete production index including explicit
indications as to where each definition can be found.  I expect
that you will see it eventually, but it is very unlikely to be
before the earlier of (1) the status of Internet Standard and
YAM being clarified or (2) sometime after I step off of the IAB
in March.

     john

Subject: Re: ABNF in RFC5321
Date: Mon, 18 Oct 2010 18:53:13 +0100
To: [email-masked]
From: Sabahattin Gucukoglu <[email-masked]>
Reply-To: Sabahattin Gucukoglu <[email-masked]>
Sender: [email-masked]

On 18 Oct 2010, at 17:53, Murray S. Kucherawy wrote:
> It looks to me like there’s an ABNF citation issue in RFC5321.  Section 4.1.2’s ABNF makes reference to “atext” but it’s not defined anywhere.  It is defined in RFC5322 though.

Agreed, I have reported this here already as well.  I'm afraid it slipped when I was doing the final review.  "String" is also declared but never used in any of the syntax.

> I don’t see this covered in any RFC5321 errata.  Shall I open one?

I should.  The omission can be put down to an editorial nit.

Cheers,
Sabahattin

From: "Murray S. Kucherawy" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 18 Oct 2010 09:53:37 -0700
Subject: ABNF in RFC5321
Accept-Language: en-US
acceptlanguage: en-US
Sender: [email-masked]

--_000_F5833273385BB34F99288B3648C4F06F1340BA3978EXCHC2corpclo_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

It looks to me like there's an ABNF citation issue in RFC5321.  Section 4.1=
.2's ABNF makes reference to "atext" but it's not defined anywhere.  It is =
defined in RFC5322 though.

I don't see this covered in any RFC5321 errata.  Shall I open one?

-MSK

--_000_F5833273385BB34F99288B3648C4F06F1340BA3978EXCHC2corpclo_
Content-Type: text/html; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" xmlns:o=3D"urn:schemas-micr=
osoft-com:office:office" xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" xmlns=3D"http:=
//www.w3.org/TR/REC-html40">

<head>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; charset=3Dus-ascii"=
>
<meta name=3DGenerator content=3D"Microsoft Word 12 (filtered medium)">
<style>
<!--
 /* Font Definitions */
 @font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
 /* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:purple;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	font-family:"Calibri","sans-serif";
	color:windowtext;}
.MsoChpDefault
	{mso-style-type:export-only;}
@page WordSection1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
	{page:WordSection1;}
-->
</style>
<!--[if gte mso 9]><xml>
 <o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
 <o:shapelayout v:ext=3D"edit">
  <o:idmap v:ext=3D"edit" data=3D"1" />
 </o:shapelayout></xml><![endif]-->
</head>

<body lang=3DEN-US link=3Dblue vlink=3Dpurple>

<div class=3DWordSection1>

<p class=3DMsoNormal>It looks to me like there&#8217;s an ABNF citation iss=
ue in
RFC5321.&nbsp; Section 4.1.2&#8217;s ABNF makes reference to &#8220;atext&#=
8221; but
it&#8217;s not defined anywhere.&nbsp; It is defined in RFC5322 though.<o:p=
></o:p></p>

<p class=3DMsoNormal><o:p>&nbsp;</o:p></p>

<p class=3DMsoNormal>I don&#8217;t see this covered in any RFC5321 errata.&=
nbsp; Shall
I open one?<o:p></o:p></p>

<p class=3DMsoNormal><o:p>&nbsp;</o:p></p>

<p class=3DMsoNormal>-MSK<o:p></o:p></p>

</div>

</body>

</html>

--_000_F5833273385BB34F99288B3648C4F06F1340BA3978EXCHC2corpclo_--